Subject: Re: [bug#69526] [PATCH 00/10] Add aardvark-dns.
From: Efraim Flashner <[email-masked]>
To: Tomas Volf <[email-masked]>
Cc: [email-masked]
Date: Tue, 5 Mar 2024 10:21:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks! Patches pushed.

On Mon, Mar 04, 2024 at 06:46:47PM +0100, Tomas Volf wrote:
> On 2024-03-04 09:17:06 +0200, Efraim Flashner wrote:
> > The good news is it looks like this can be applied straight to the
> > master branch. Can you send a second round with a couple of changes?
> 
> Thank you very much for the fast review, and sorry for there being so many
> issues.  I will send a v2.

Not so many issues :)

> >
> > On Sun, Mar 03, 2024 at 05:43:04PM +0100, Tomas Volf wrote:
> > > This series adds aardvark-dns, which will be required for 5.0 version of
> > > podman.
> > >
> > > Tomas Volf (10):
> > >   gnu: Add rust-h3-0.0.2.
> > This should be in crates-web and inherit from rust-h3-0.0.3
> >
> > >   gnu: Add rust-h3-quinn-0.0.3.
> > This should be in crates-web and inherit from rust-h3-quinn-0.0.4
> >
> > >   gnu: Add rust-event-listener-strategy-0.1.
> > This should be after rust-event-listener-strategy-0.4 and inherit from
> > it.
> >
> > >   gnu: Add rust-async-broadcast-0.6.
> > rust-async-broadcast-0.5 should inherit from this package
> 
> Done, I hope correctly.

Yep, all looks good.

> >
> > >   gnu: Add rust-hickory-proto-0.24.
> > >   gnu: Add rust-hickory-client-0.24.
> > >   gnu: Add rust-hickory-resolver-0.24.
> > >   gnu: Add rust-hickory-recursor-0.24.
> > >   gnu: Add rust-hickory-server-0.24.
> > These should be in crates-web
> 
> I have to admit I am sometimes bit confused by the -io and -web split.  For
> example, why does DNS library and server belong into -web?

crates-io was getting way too big so I tried to find similar packages to
split off into their own modules.  I found some packages related to web
servers and their "neighbor" packages (normally from the same repo or
same author/organization), and then I found that the DNS packages were
pretty much only used by those packages, so I moved them too.

> > and inserted and sorted alphabetically
> 
> I did not know the order in the .scm files does not matter, I tried to add them
> in order of use.  Will sort.

It makes it easier to find the packages when adding/removing/changing
them.

> >
> > >   gnu: Add aardvark-dns.
> > This should have '#:install-source #f' in arguments
> 
> Done.
> >
> > >
> > >  gnu/packages/crates-io.scm | 332 +++++++++++++++++++++++++++++++++++++
> > >  gnu/packages/rust-apps.scm |  33 ++++
> > >  2 files changed, 365 insertions(+)
> > >
> > >
> > > base-commit: f00f56514d90ebba5d9e08ec786c8118e437097c
> > > --
> > > 2.41.0
> > >
> > >
> >
> > --
> > Efraim Flashner   <[email-masked]>   רנשלפ םירפא
> > GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
> > Confidentiality cannot be guaranteed on emails sent or received unencrypted
> 
> 
> 
> --
> There are only two hard things in Computer Science:
> cache invalidation, naming things and off-by-one errors.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted